Labels
Create a label
Create a label in the account
POST
/
api
/
v1
/
accounts
/
{account_id}
/
labels
Create a label
curl --request POST \
--url https://airys.chat/api/v1/accounts/{account_id}/labels \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"title": "support",
"description": "Conversations that need support follow-up",
"color": "#1f93ff",
"show_on_sidebar": true
}
'import requests
url = "https://airys.chat/api/v1/accounts/{account_id}/labels"
payload = {
"title": "support",
"description": "Conversations that need support follow-up",
"color": "#1f93ff",
"show_on_sidebar": True
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'support',
description: 'Conversations that need support follow-up',
color: '#1f93ff',
show_on_sidebar: true
})
};
fetch('https://airys.chat/api/v1/accounts/{account_id}/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"title": "<string>",
"description": "<string>",
"color": "<string>",
"show_on_sidebar": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Body
application/json
⌘I
Create a label
